#!/bin/sh

#
#Must be executed as root
#

USER=`id | awk -F"(" '{print $2}' | awk -F")" '{print $1}'`
if [ "$CURRENT_USER" = "root" ]; then
   echo "\nError : Cannot be run as root!"
   exit 1
fi

FP_DIR=`pwd`
patch=patch.tar
file=qPing

usage()
{
echo "Usage: $0 SNMP-install-dir
SNMP-install-dir is the directory where the SNMP collector is installed
"
        return 0
}

DLDIR="$1"
[ -z "$DLDIR" ] && usage && exit 1

unpack_files()
{
        tar -xf $patch
}

validate_dir()
{
if [ ! -f "$DLDIR/bin/$file" ]; then
        echo "Cannot locate file $DLDIR/bin/$file, please verify argument(s)"
exit 1
fi
}

cleanup_files()
{
        rm -rf "$FP_DIR/patch"  && return 0
        echo "Could not remove $FP_DIR/patch" && return 1
}

echo "Validating..." && validate_dir
echo "Unpacking..." && unpack_files || exit 1

echo "Installing..."
GROUP=`ls -g $DLDIR/bin/$file | awk '{print $3}'`
mv $DLDIR/bin/$file $DLDIR/bin/$file.old
cp patch/$file $DLDIR/bin/$file
chown $USER $DLDIR/bin/$file
chgrp $GROUP $DLDIR/bin/$file
chmod 6550 $DLDIR/bin/$file

echo "Cleaning up..." && cleanup_files || exit 1

echo "Success."

exit 0

