#!/bin/sh

#
#Must be executed as root
#

USER=`id | awk -F"(" '{print $2}' | awk -F")" '{print $1}'`
if [ "$CURRENT_USER" = "root" ]; then
   echo "\nError : Cannot be run as root!"
   exit 1
fi

FP_DIR=`pwd`
patch=patch.tar
file=pvm.ar

usage()
{
echo "Usage: $0 DataMart-install-dir
DataMart-install-dir is the directory where the DataMart is installed
"
        return 0
}

DLDIR="$1"
[ -z "$DLDIR" ] && usage && exit 1

unpack_files()
{
        tar -xf $patch
}

cleanup_files()
{
        rm -rf "$FP_DIR/patch"  && return 0
        echo "Could not remove $FP_DIR/patch" && return 1
}
validate_dir()
{
if [ ! -f "$DLDIR/arc/$file" ]; then
        echo "Cannot locate file $DLDIR/arc/$file, please check argument(s)"
exit 1
fi
}

echo "Validating..." && validate_dir
echo "Unpacking..." && unpack_files || exit 1

echo "Installing..."
GROUP=`ls -g $DLDIR/arc/$file | awk '{print $3}'`
USER=`ls -l $DLDIR/arc/$file | awk '{print $3}'`
[ -f "$DLDIR/arc/$file.old" ] && rm $DLDIR/arc/$file.old
mv $DLDIR/arc/$file $DLDIR/arc/$file.old
cp patch/$file $DLDIR/arc/$file
chown $USER $DLDIR/arc/$file
chgrp $GROUP $DLDIR/arc/$file
chmod 444 $DLDIR/arc/$file

echo "Cleaning up..." && cleanup_files || exit 1

echo "Success."

exit 0

